﻿Public Class FormSettings
    Public Property SelectedFontSize As Integer
    Public Property SelectedFontStyle As FontStyle
    Public Property SelectedTextColor As Color

    Private Sub FormSettings_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ComboBoxFontSize.Items.AddRange({10, 12, 14, 16, 18, 20, 24, 28, 32}.Select(Function(i) i.ToString()).ToArray())
        ComboBoxFontSize.SelectedIndex = 1

        For Each style As FontStyle In [Enum].GetValues(GetType(FontStyle))
            ComboBoxFontStyle.Items.Add(style)
        Next
        ComboBoxFontStyle.SelectedItem = My.Settings.FontStyle
        ComboBoxFontStyle.SelectedIndex = 0

        SelectedTextColor = Color.Black

        ActiveControl = LabelPreview
    End Sub

    Private Sub ButtonChooseColor_Click(sender As Object, e As EventArgs) Handles ButtonChooseColor.Click
        Using colorDialog As New ColorDialog()
            If colorDialog.ShowDialog() = DialogResult.OK Then
                SelectedTextColor = colorDialog.Color
                LabelPreview.ForeColor = SelectedTextColor
                LabelPreview.Text = "Sample Quote Preview"
            End If
        End Using
    End Sub

    Private Sub ButtonSave_Click(sender As Object, e As EventArgs) Handles ButtonSave.Click
        SelectedFontSize = Integer.Parse(ComboBoxFontSize.SelectedItem.ToString())
        SelectedFontStyle = CType(ComboBoxFontStyle.SelectedItem, FontStyle)

        My.Settings.FontSize = SelectedFontSize
        My.Settings.FontStyle = CInt(SelectedFontStyle)
        My.Settings.TextColor = SelectedTextColor.ToArgb()

        My.Settings.Save()
        Me.DialogResult = DialogResult.OK
        Me.Close()
    End Sub

End Class
